Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.geom
Class ShapeExtender.EPIWrap

    java.lang.Object
      org.apache.batik.ext.awt.geom.ShapeExtender.EPIWrap

All Implemented Interfaces:
  ExtendedPathIterator

Enclosing class:
  ShapeExtender

    public static class ShapeExtender.EPIWrap

extends Object
implements ExtendedPathIterator

Field Summary

Fields inherited from interface org.apache.batik.ext.awt.geom.ExtendedPathIterator
`SEG_ARCTO, SEG_CLOSE, SEG_CUBICTO, SEG_LINETO, SEG_MOVETO, SEG_QUADTO, WIND_EVEN_ODD, WIND_NON_ZERO`

Constructor Summary
`ShapeExtender.EPIWrap(PathIterator pi)`

Method Summary
`int` | `currentSegment()`
`int` | `currentSegment(double[] coords)`
`int` | `currentSegment(float[] coords)`
`int` | `getWindingRule()`
`boolean` | `isDone()`
`void` | `next()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapeExtender.EPIWrap

    public ShapeExtender.EPIWrap(PathIterator pi)

Method Detail

### currentSegment

    public int currentSegment()

  Specified by:
    `currentSegment` in interface `ExtendedPathIterator`

### currentSegment

    public int currentSegment(double[] coords)

  Specified by:
    `currentSegment` in interface `ExtendedPathIterator`

### currentSegment

    public int currentSegment(float[] coords)

  Specified by:
    `currentSegment` in interface `ExtendedPathIterator`

### getWindingRule

    public int getWindingRule()

  Specified by:
    `getWindingRule` in interface `ExtendedPathIterator`

### isDone

    public boolean isDone()

  Specified by:
    `isDone` in interface `ExtendedPathIterator`

### next

    public void next()

  Specified by:
    `next` in interface `ExtendedPathIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.